<?php

namespace app\manystore\model\school\classes;

use think\Model;


class Verification extends Model
{

    

    

    // 表名
    protected $name = 'school_verification';
    
    // 自动写入时间戳字段
    protected $autoWriteTimestamp = 'int';

    // 定义时间戳字段名
    protected $createTime = 'createtime';
    protected $updateTime = 'updatetime';
    protected $deleteTime = false;

    // 追加属性
    protected $append = [
        'status_text',
        'classes_title'
    ];


    public function getClassesTitleAttr($value, $data)
    {
        $classes_lib_ids =  (isset($data['classes_lib_ids']) ? $data['classes_lib_ids'] : '');
        if(!$classes_lib_ids) return '';
        //$classes_cate_ids 查询分类表 names 已逗号拼接返回
        $classes_cate_title = ClassesLib::where('id','in',$classes_lib_ids)->column('title');
        return implode(',',$classes_cate_title);
    }




    public function getStatusList()
    {
        return ['1' => __('Status 1'), '2' => __('Status 2')];
    }


    public function getStatusTextAttr($value, $data)
    {
        $value = $value ? $value : (isset($data['status']) ? $data['status'] : '');
        $list = $this->getStatusList();
        return isset($list[$value]) ? $list[$value] : '';
    }




    public function manystore()
    {
        return $this->belongsTo('app\manystore\model\Manystore', 'manystore_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function manystoreshop()
    {
        return $this->belongsTo('app\manystore\model\ManystoreShop', 'shop_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }


    public function user()
    {
        return $this->belongsTo('app\manystore\model\User', 'user_id', 'id', [], 'LEFT')->setEagerlyType(0);
    }
}
